package com.wdkl.ncs.android.middleware.api

import io.reactivex.Observable
import okhttp3.ResponseBody
import retrofit2.http.GET
import retrofit2.http.POST
import retrofit2.http.Path
import retrofit2.http.Query

interface WatchManageDeviceApi {
    @POST("/watch/getWatchContacts")
    fun getWatchContacts(@Query("page_no") pageNo: Int,
                         @Query("device_id") deviceId: Int,
                         @Query("page_size") pageSize: Int= ApiManager.PAGE_SIZE): Observable<ResponseBody>


    //获取APP版本信息
    @POST("/watch/getAppVersion")
    fun getAppVersion(@Query("part_id") part_id:Int, @Query("device_type") device_type:Int): Observable<ResponseBody>


}