package com.wdkl.ncs.android.middleware.model.vo;

import com.wdkl.ncs.android.middleware.model.annotation.Column;
import java.io.Serializable;
import io.swagger.annotations.ApiModelProperty;

/**
 * @program nc
 * @description:
 * @author: Vothin
 * @create: 2021/04/07 16:30
 */

public class WatchContactsVO implements Serializable {

    @Column(name = "device_id")
    @ApiModelProperty(name = "device_id", value = "设备id", hidden = false)
    private Integer deviceId;

    @Column(name = "device_sip_id")
    @ApiModelProperty(name = "device_sip_id", value = "设备sip_id", hidden = false)
    private String deviceSipId;

    @Column(name = "device_eth_ip")
    @ApiModelProperty(name = "device_eth_ip", value = "设备eth_ip", hidden = false)
    private String deviceEthIp;

    @Column(name = "frame_type")
    @ApiModelProperty(name = "frame_type", value = "空间类型", hidden = false)
    private Integer frameType;

    @Column(name = "frame_name")
    @ApiModelProperty(name = "frame_name", value = "空间名", hidden = false)
    private String frameName;

    @Column(name = "frame_alias")
    @ApiModelProperty(name = "frame_alias", value = "空间别名", hidden = false)
    private String frameAlias;

    @Column(name = "frame_full_name")
    @ApiModelProperty(name = "frame_full_name", value = "空间全名", hidden = false)
    private String frameFullName;

    @Column(name = "customer_named")
    @ApiModelProperty(name = "customer_named", value = "病人名称", hidden = false)
    private String customerNamed;

    @Column(name = "customer_id")
    @ApiModelProperty(name = "customer_id", value = "病人id", hidden = false)
    private Integer customerId;

    public Integer getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(Integer deviceId) {
        this.deviceId = deviceId;
    }

    public String getDeviceSipId() {
        return deviceSipId;
    }

    public void setDeviceSipId(String deviceSipId) {
        this.deviceSipId = deviceSipId;
    }

    public String getDeviceEthIp() {
        return deviceEthIp;
    }

    public void setDeviceEthIp(String deviceEthIp) {
        this.deviceEthIp = deviceEthIp;
    }

    public Integer getFrameType() {
        return frameType;
    }

    public void setFrameType(Integer frameType) {
        this.frameType = frameType;
    }

    public String getFrameName() {
        return frameName;
    }

    public void setFrameName(String frameName) {
        this.frameName = frameName;
    }

    public String getFrameAlias() {
        return frameAlias;
    }

    public void setFrameAlias(String frameAlias) {
        this.frameAlias = frameAlias;
    }

    public String getFrameFullName() {
        return frameFullName;
    }

    public void setFrameFullName(String frameFullName) {
        this.frameFullName = frameFullName;
    }

    public String getCustomerNamed() {
        return customerNamed;
    }

    public void setCustomerNamed(String customerNamed) {
        this.customerNamed = customerNamed;
    }

    public Integer getCustomerId() {
        return customerId;
    }

    public void setCustomerId(Integer customerId) {
        this.customerId = customerId;
    }
}

