package com.wdkl.ncs.android.middleware.api

import io.reactivex.Observable
import okhttp3.ResponseBody
import retrofit2.http.GET
import retrofit2.http.POST
import retrofit2.http.Path
import retrofit2.http.Query

interface WatchDeviceInfoAndTCPMailingAddressApi {
     //根据Mac地址查询设备数据
    //@GET("/watch/getDeviceByEthMac/{ethMac}")
    @GET("/deviceNurse/getDeviceByEthMac/{ethMac}")
    fun getDeviceMessage(@Path("ethMac")ethMac:String): Observable<ResponseBody>

    //获取tcp服务器地址
    @GET("/ncs_url/getHostIP")
    fun getTcpServerHost(): Observable<ResponseBody>

    //获取服务器地址
    @GET("/ncs_url/server_info")
    fun getServerInfo(): Observable<ResponseBody>

    //获取设备设置数据
    @GET("/watch/getPartSetting/{partId}")
    fun getDeviceSettingData(@Path("partId") partId:Int): Observable<ResponseBody>

}