package com.wdkl.ncs.android.middleware.tcp.channel;

import com.wdkl.ncs.android.middleware.tcp.dto.TcpModel;
import com.wdkl.ncs.android.middleware.tcp.enums.TcpAction;
import com.wdkl.ncs.android.middleware.tcp.enums.TcpType;

public class EventUtil {
    public static TcpModel eventKeyClick(Integer fromId, Integer toId, Integer ineractionId){
        TcpModel tcpModel = new TcpModel();
        tcpModel.setType(TcpType.EVENT);
        tcpModel.setAction(TcpAction.EventAction.KEY_CLICK);
        tcpModel.setFromId(fromId);
        tcpModel.setToId(toId);
        tcpModel.setData(ineractionId);
        return tcpModel;
    }

    public static TcpModel eventResponse(Integer fromId, Integer toId, Integer ineractionId){
        TcpModel tcpModel = new TcpModel();
        tcpModel.setType(TcpType.EVENT);
        tcpModel.setAction(TcpAction.EventAction.RESPONSE);
        tcpModel.setFromId(fromId);
        tcpModel.setToId(toId);
        tcpModel.setData(ineractionId);
        return tcpModel;
    }
}
